Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl.model
Class ProcessInstanceDesc

    java.lang.Object
      org.droolsjbpm.services.impl.model.ProcessInstanceDesc

All Implemented Interfaces:
  Serializable

    @Entity
    public class ProcessInstanceDesc

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ProcessInstanceDesc()`
`ProcessInstanceDesc(long id, String processId, String processName, String processVersion, int state, String[] eventTypes, String processDefId, String domainName, int sessionId, String initiator)`

Method Summary
`Date` | `getDataTimeStamp()`
`String` | `getDomainName()`
`String[]` | `getEventTypes()`
`long` | `getId()`
`String` | `getInitiator()`
`String` | `getProcessDefId()`
`String` | `getProcessId()`
`String` | `getProcessName()`
`String` | `getProcessVersion()`
`int` | `getSessionId()`
`int` | `getState()`
`void` | `setInitiator(String initiator)`
`void` | `setState(int state)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessInstanceDesc

    public ProcessInstanceDesc()

### ProcessInstanceDesc

    public ProcessInstanceDesc(long id,
                               String processId,
                               String processName,
                               String processVersion,
                               int state,
                               String[] eventTypes,
                               String processDefId,
                               String domainName,
                               int sessionId,
                               String initiator)

Method Detail

### getProcessId

    public String getProcessId()

### getProcessDefId

    public String getProcessDefId()

### getId

    public long getId()

### getProcessName

    public String getProcessName()

### getState

    public int getState()

### getEventTypes

    public String[] getEventTypes()

### getSessionId

    public int getSessionId()

### getDataTimeStamp

    public Date getDataTimeStamp()

### getDomainName

    public String getDomainName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getProcessVersion

    public String getProcessVersion()

### setState

    public void setState(int state)

### getInitiator

    public String getInitiator()

### setInitiator

    public void setInitiator(String initiator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.